%global momorel 3
# Requires completely version matching of cfitsio
%global cfitsiover 3.130
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: A data viewing program for KDE
Name: kst
Version: 1.7.0
Release: %{momorel}m%{?dist}
License: GPLv3
URL: http://kst.kde.org/
Group: Applications/Engineering
Source0: ftp://ftp.kde.org/pub/kde/stable/apps/KDE3.x/scientific/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: saveperiod.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: cfitsio = %{cfitsiover}
Requires: netcdf
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: cfitsio-devel = %{cfitsiover}
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: gsl-devel
BuildPreReq: libtool
BuildPreReq: ncurses-devel
BuildPreReq: netcdf
BuildPreReq: readline-devel

%description
Kst is a real-time data viewing and plotting tool with basic data analysis 
functionality. Kst contains many powerful built-in features and is 
expandable with plugins and extensions. Kst is a KDE application.

Main features of kst include:
  * Robust plotting of live "streaming" data.
  * Powerful keyboard and mouse plot manipulation.
  * Powerful plugins and extensions support.
  * Large selection of built-in plotting and data manipulation functions, 
    such as histograms, equations, and power spectra.
  * Color mapping and contour mapping capabilities for three-dimensional data.
  * Monitoring of events and notifications support.
  * Filtering and curve fitting capabilities.
  * Convenient command-line interface.
  * Powerful graphical user interface.
  * Support for several popular data formats.
  * Multiple tabs or windows.

%package devel
Summary: Development libraries and headers for kst
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}

%description devel
Headers and libraries required when building against kst.

%prep
%setup -q
%patch0 -p1 -b .saveperiod

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir}/kde \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde:%{_includedir}/cfitsio:%{_includedir}/netcdf \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/locolor/32x32/apps/kst.png %{buildroot}%{_datadir}/pixmaps/kst.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%doc kst/COPYING* kst/NEWS kst/RELEASE.NOTES
%{_bindir}/d2asc
%{_bindir}/kst
%{_bindir}/kstcmd
%{_libdir}/kde3/kstplugins
%{_libdir}/kde3/plugins/designer/kstwidgets.la
%{_libdir}/kde3/plugins/designer/kstwidgets.so
%{_libdir}/kde3/kst*.la
%{_libdir}/kde3/kst*.so
%{_libdir}/libkst*.la
%{_libdir}/libkst*.so.*
%{_datadir}/applications/kst.desktop
%{_datadir}/applnk/Graphics
%{_datadir}/apps/kconf_update/kstautosave11.upd
%{_datadir}/apps/kconf_update/kstrcmisc11.upd
%{_datadir}/apps/kst
%{_datadir}/config/colors/*
%{_datadir}/doc/HTML/*/kst
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/kst.mo
%{_mandir}/man1/kst.1*
%{_datadir}/mimelnk/application/x-kst.desktop
%{_datadir}/pixmaps/kst.png
%{_datadir}/services/kst
%{_datadir}/servicetypes/kst

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*.h
%{_libdir}/lib*.so

%changelog
* Sat Feb 14 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.7.0-3m)
- rebuild against cfitsio-3.130

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.7.0-2m)
- rebuild against rpm-4.6

* Fri Nov  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.7.0-1m)
- update to 1.7.0
- rebuild against cfitsio-3.100

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.0-3m)
- revise %%{_docdir}/HTML/*/kst/common

* Fri May 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.0-2m)
- modify %%files for smart handling of a directory

* Fri May 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.0-1m)
- initial package for Momonga Linux
